%define upstream_name DJabberd-RosterStorage-SQLite
%define upstream_version 1.00

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16
Summary:	DJabber plugin to store your jabber roster in SQLite
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/B/BR/BRADFITZ/%{upstream_name}-%{upstream_version}.tar.bz2
# patch submitted upstream : http://lists.danga.com/pipermail/djabberd/2007-September/000401.html
# not applied however, i have been using it since 1 year
Patch0:		DJabberd-RosterStorage-SQLite-fixutf8.diff

BuildRequires:	perl(DJabberd)
BuildRequires:	perl(DBI)
# for testing, maybe one day
# BuildRequires: perl-DBD-SQLite

BuildArch: noarch

Requires:       perl-DBD-SQLite

%description
DJabber plugin to store your jabber roster in SQLite.

%prep
%autosetup -p0 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
# without this, djabberd try to write to its log file
export LOGLEVEL=WARN
make test

%install
%make_install

%files
%doc META.yml
%{perl_vendorlib}/DJabberd/
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-16.mga8
+ Revision: 1494429
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-15.mga7
+ Revision: 1267825
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-14.mga6
+ Revision: 1026834
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-13.mga6
+ Revision: 949273
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.00-12.mga5
+ Revision: 789437
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.00-11.mga5
+ Revision: 745583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.00-10.mga5
+ Revision: 684157
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-9.mga4
+ Revision: 510478
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-8.mga3
+ Revision: 365223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 jquelin <jquelin> 1.00-7.mga3
+ Revision: 326436
- missing buildrequires:

* Thu Nov 29 2012 pterjan <pterjan> 1.00-6.mga3
+ Revision: 323077
- Add missing BuildRequires

* Tue Jan 25 2011 jquelin <jquelin> 1.00-5.mga1
+ Revision: 38246
- mageia rebuild
- imported package perl-DJabberd-RosterStorage-SQLite


* Fri Sep 26 2008 Michael Scherer <misc@mandriva.org> 1.00-5mdv2009.0
+ Revision: 288538
- add old fix for utf8 roster

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.00-4mdv2009.0
+ Revision: 256689
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.00-2mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Michael Scherer <misc@mandriva.org> 1.00-2mdv2008.0
+ Revision: 90842
- add missing requires


* Mon Nov 13 2006 Michael Scherer <misc@mandriva.org> 1.00-1mdv2007.0
+ Revision: 83882
- fix test when djabberd is installed
- Import perl-DJabberd-RosterStorage-SQLite

* Sun Nov 05 2006 Michael Scherer <misc@mandriva.org> 1.00-1mdv2007.1
- First Mandriva package

